Page MenuHomePhabricator

Introduce watchlist_props table
Closed, DeclinedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 3:17 PM
Tobi_WMDE_SW triaged this task as Medium priority.Mar 16 2016, 11:41 AM
Tobi_WMDE_SW moved this task from Incoming to Sprint Ready on the TCB-Team board.Apr 19 2016, 11:32 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 20 2016, 8:19 PM

Change 284690 had a related patch set uploaded (by Nemo bis):
WIP watchlist_props table

https://gerrit.wikimedia.org/r/284690

Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.

Change 284690 abandoned by Addshore:
WIP watchlist_props table

Reason:
Abandoning for now, the direction here is still unclear

https://gerrit.wikimedia.org/r/284690

Addshore changed the task status from Open to Stalled.Mar 21 2017, 11:50 AM

Stalled pending resuming work here once wl_id is deployed on wmf sites (T130067).

Restricted Application added projects: Growth-Team, Community-Tech. · View Herald TranscriptOct 25 2019, 7:56 PM
kaldari closed this task as Declined.Feb 5 2020, 1:52 AM
kaldari added a subscriber: kaldari.

I'm going to be bold and mark this as declined. This is no longer stalled by wl_id, but it seems the current plan (T124752) is to implement something simpler: just adding an expiration column to the existing watchlist table. This seems sensible, especially since it will match how user rights expiration was implemented and thus follow an existing pattern. If anyone disagrees, feel free to reopen this task.

daniel added a comment.Feb 5 2020, 1:21 PM

I'm going to be bold and mark this as declined. This is no longer stalled by wl_id, but it seems the current plan (T124752) is to implement something simpler: just adding an expiration column to the existing watchlist table. This seems sensible, especially since it will match how user rights expiration was implemented and thus follow an existing pattern. If anyone disagrees, feel free to reopen this task.

Keep in mind that introducing new tables is much easier for DBAs than modifying existing tables...

@daniel - Any personal opinion on which schema we should pursue?

daniel added a comment.Feb 5 2020, 9:50 PM

@daniel - Any personal opinion on which schema we should pursue?

All depends on access patterns, best ask the DBAs...